#include <avr/io.h>     // Definitionen laden 
#include <util/delay.h> // CPU Frequenz einstellen!

#include "checkKeys.h"   // checkKeys verwenden
unsigned char ledausgabe[]={0xe1,0xe2,0xe4,0xe8,0xd1,0xd2,
0xd4,0xd8,0xb1,0xb2,0xb4,0xb8,0x71,0x72,0x74,0x78};

typedef enum {STOPP,AUF,ZU} ZustandTyp;  // Aufzaehlungstyp
ZustandTyp zustand;
ZustandTyp richtung;

unsigned char sOrt; // sOrt der Schranke
unsigned char blinker;  // Zaehler fuer Blinken

void fahren(){   // in Richtung fahren, dabei Blinken
  blinker++;
  PORTB=0;
  _delay_ms(30);
  if(blinker%4==0){
    // Aufgabe 6.1
  }
  PORTB = ledausgabe[sOrt];
  _delay_ms(40);
}

void init(){          // Initialisierung der Variabeln hier, wegen Struktogramm fuer init
  DDRB = 0xff;        // PB als Ausgang
  PORTD = 0x7f;       // Pullups an
  zustand  = STOPP;
  richtung = ZU;
  sOrt = 0;
  blinker  = 0;
  PORTB = ledausgabe[sOrt];
}

int main(){         // Hauptprogramm 
  init();
  while(1){         // Endlosschleife 
    checkKeys(); // Maske,NLogik PD3..PD0
    switch (zustand){         // in Abhaengigkeit des Zustands
      case STOPP:  // 0
        if(keyEnter==1 || (richtung==ZU && keyEnter==0b100)){  // Transitionen pruefen
          richtung=AUF;
          zustand=AUF;
        }
        else if(keyEnter==0b10 || (richtung==AUF && keyEnter==0b100)){
          richtung=ZU;
          zustand=ZU;
        }
        break;
      case AUF:  // 1
        if(sOrt==0 || keyEnter > 0b1){  // Transitionen pruefen
          zustand=STOPP;
        }
        else{                               // do Aktionen
          fahren();
        }
        break;
      case ZU:  // 2
        // Aufgabe 6.2
      break;
    }
  } 
}